// creator  : weidu.exe (version 23100)
// argument : HABREGA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HABREGA~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #30605 /* ~Is there something that you need, citizen?~ [BREGAX02] */
  IF ~~ THEN REPLY #30606 /* ~Who are you?~ */ GOTO 1
  IF ~PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37775 /* ~I solved the Bridge District murders. Tanner Rejiek did it, and killed the inspector too. Here is the body.~ */ DO ~TakePartyItem("misc5m")~ GOTO 10
  IF ~!PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37776 /* ~I solved the Bridge District murders. Tanner Rejiek did it, and killed the inspector too.~ */ GOTO 11
  IF ~PartyHasItem("misc9h")
!Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #49926 /* ~I have the head of the child-killer Neb.  He is dead and will bother no one any longer.~ */ GOTO 23
  IF ~PartyHasItem("misc9h")
Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #49931 /* ~I have the head of the child-killing dwarf Neb.  I expect a bounty for the service of killing him.~ */ GOTO 23
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #46126 /* ~My friend Imoen was taken by the Cowled Wizards.  Do you know where she is or where I could get help?~ */ GOTO 14
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #46127 /* ~Perhaps you could tell me about the war between the thieves' guilds I've heard so much about.~ */ GOTO 19
  IF ~~ THEN REPLY #30609 /* ~No, I'll be going.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #30610 /* ~Chief Inspector Brega, at your service.  I work under the Magistrate investigating the crimes of this city, and there are plenty that require my attention, believe you me.~ [BREGAX07] */
  IF ~Global("knowsmurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)~ THEN REPLY #30611 /* ~What can you tell me of the murders in the Bridge District?~ */ GOTO 3
  IF ~~ THEN REPLY #30612 /* ~I am told that magic is illegal in Athkatla... is this true?~ */ GOTO 4
  IF ~PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37781 /* ~I solved the Bridge District murders. Tanner Rejiek did it, and killed the inspector too. Here is the body.~ */ DO ~TakePartyItem("misc5m")~ GOTO 10
  IF ~!PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37782 /* ~I solved the Bridge District murders. Tanner Rejiek did it, and killed the inspector too.~ */ GOTO 11
  IF ~PartyHasItem("misc9h")
!Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #49942 /* ~I have the head of the child-killer Neb.  He will no longer harm anyone.~ */ GOTO 23
  IF ~PartyHasItem("misc9h")
Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #49943 /* ~I have the head of the child-killing dwarf Neb.  I expect a bounty for killing him.~ */ GOTO 23
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #46115 /* ~My friend Imoen was taken by the Cowled Wizards.  Do you know where she is or where I could get help?~ */ GOTO 14
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #46116 /* ~Perhaps you could tell me about the war between the thieves' guilds I've heard so much about.~ */ GOTO 19
  IF ~~ THEN REPLY #30614 /* ~I'll be going, now.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 8.3 7.3 6.2 5.2 4.3 3.1 1.8 0.7
  SAY #30634 /* ~On your way, then.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.0
  SAY #30635 /* ~Very little.  Lieutenant Aegisfield is in the Bridge District as the main investigator.  All I can say is to watch yourself at night if you must be out.~ */
  IF ~~ THEN REPLY #30637 /* ~I am told that magic is illegal in Athkatla... is this true?~ */ GOTO 4
  IF ~~ THEN REPLY #30640 /* ~I'll be on my way, then.~ */ GOTO 2
END

IF ~~ THEN BEGIN 4 // from: 3.0 1.1
  SAY #30641 /* ~The use of magic is illegal unless sanctioned by the Council, like the Cowled Wizards are.  It leads to chaos; just look at the damage in the promenade.~ */
  IF ~~ THEN REPLY #30642 /* ~What happens to people who are arrested by the Cowled Wizards?~ */ GOTO 5
  IF ~~ THEN REPLY #30643 /* ~Where can I find these Cowled Wizards?~ */ GOTO 6
  IF ~~ THEN REPLY #30644 /* ~Do you know anything about that incident in the promenade?~ */ GOTO 7
  IF ~~ THEN REPLY #30645 /* ~I see.  Well, I'll be going.~ */ GOTO 2
END

IF ~~ THEN BEGIN 5 // from: 8.1 7.0 6.0 4.0
  SAY #30663 /* ~The handling of magic users is not my province.  Only the Cowled Wizards know for sure... what matters to the Council is that they deal with it.~ */
  IF ~~ THEN REPLY #30664 /* ~Where can I find the Cowled Wizards, then?~ */ GOTO 6
  IF ~~ THEN REPLY #30665 /* ~Do you know anything about that incident in the promenade you mentioned?~ */ GOTO 7
  IF ~~ THEN REPLY #30666 /* ~Very well, I'll be going.~ */ GOTO 2
END

IF ~~ THEN BEGIN 6 // from: 8.2 7.1 5.0 4.1
  SAY #30667 /* ~You don't.  Nor would I suggest attempting to do so.  The Cowled Wizards are dangerous.  I would pray that they do not discover your interest.~ */
  IF ~~ THEN REPLY #30668 /* ~What do the Cowled Wizards do with those they arrest?~ */ GOTO 5
  IF ~~ THEN REPLY #30669 /* ~Do you know anything about that incident in the promenade you mentioned?~ */ GOTO 7
  IF ~~ THEN REPLY #30670 /* ~I see.  Well, I'll be going, then.~ */ GOTO 2
END

IF ~~ THEN BEGIN 7 // from: 6.1 5.1 4.2
  SAY #30671 /* ~The Cowled Wizards arrested two magic users.  Shadow Thieves were also involved, apparently attacking one of the wizards.  Beyond that... no, I know very little.~ */
  IF ~~ THEN REPLY #30672 /* ~What do the Cowled Wizards do with those they arrest?~ */ GOTO 5
  IF ~~ THEN REPLY #30673 /* ~How do I find the Cowled Wizards?~ */ GOTO 6
  IF ~~ THEN REPLY #30674 /* ~Why would the Shadow Thieves be interested in attacking a wizard?~ */ GOTO 8
  IF ~~ THEN REPLY #30675 /* ~I see.  Well, I'll be going, then.~ */ GOTO 2
END

IF ~~ THEN BEGIN 8 // from: 7.2
  SAY #30685 /* ~Hmph.  I don't know.  Why don't you ask them?~ */
  IF ~~ THEN REPLY #30686 /* ~Aren't you interested?  Isn't that your job?~ */ GOTO 9
  IF ~~ THEN REPLY #30687 /* ~What do the Cowled Wizards do with those they arrest?~ */ GOTO 5
  IF ~~ THEN REPLY #30688 /* ~How do I find the Cowled Wizards?~ */ GOTO 6
  IF ~~ THEN REPLY #30689 /* ~I see.  Well, I'll be going, then.~ */ GOTO 2
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #30691 /* ~(sigh)  I'll tell you what my job isn't... it isn't being forced to listen to idiots like yourself.  Good day.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 1.2 0.1
  SAY #37777 /* ~This... this is Aegisfield, all right.  (sigh)  It is too bad... he was a fine and just man.  Here... give his body to me.~ */
  IF ~~ THEN DO ~EraseJournalEntry(34247)
EraseJournalEntry(34249)
EraseJournalEntry(34265)
EraseJournalEntry(34266)
EraseJournalEntry(34267)
EraseJournalEntry(34269)
EraseJournalEntry(34271)
EraseJournalEntry(34276)
EraseJournalEntry(34277)
EraseJournalEntry(34281)
EraseJournalEntry(34287)
DestroyItem("misc5m")~ SOLVED_JOURNAL #47578 /* ~Solve the 'skinner' murders in the Bridge District.

While I was not able to catch Rejiek Hidesman, I have at least stopped his reign of terror in Athkatla and sent him fleeing.  The matter of Lieutenant Aegisfield, the guard who I inadvertently sent to his death, has also been dealt with.  I wonder if this ends, now, or if I will meet this disgusting murderer once again.~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0 1.3 0.2
  SAY #37778 /* ~Your story seems odd... but I can tell if someone's lying.  I will check your story... but for now you have the city's thanks for the service you have done us.~ */
  IF ~!Dead("tanner")~ THEN DO ~EraseJournalEntry(34247)
EraseJournalEntry(34249)
EraseJournalEntry(34265)
EraseJournalEntry(34266)
EraseJournalEntry(34267)
EraseJournalEntry(34269)
EraseJournalEntry(34271)
EraseJournalEntry(34276)
EraseJournalEntry(34277)
EraseJournalEntry(34281)
EraseJournalEntry(34287)
DestroyItem("misc5m")~ SOLVED_JOURNAL #47578 /* ~Solve the 'skinner' murders in the Bridge District.

While I was not able to catch Rejiek Hidesman, I have at least stopped his reign of terror in Athkatla and sent him fleeing.  The matter of Lieutenant Aegisfield, the guard who I inadvertently sent to his death, has also been dealt with.  I wonder if this ends, now, or if I will meet this disgusting murderer once again.~ */ GOTO 12
  IF ~Dead("tanner")~ THEN DO ~EraseJournalEntry(34247)
EraseJournalEntry(34249)
EraseJournalEntry(34265)
EraseJournalEntry(34266)
EraseJournalEntry(34267)
EraseJournalEntry(34269)
EraseJournalEntry(34271)
EraseJournalEntry(34276)
EraseJournalEntry(34277)
EraseJournalEntry(34281)
EraseJournalEntry(34287)
DestroyItem("misc5m")~ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #37779 /* ~We'll hunt down the murderer, have no fear.  He'll not escape justice.  I thank you, citizens, for your help.  I trust this reward will be ample compensation.~ */
  IF ~~ THEN DO ~AddexperienceParty(45000)
ActionOverride("Faraji",DestroySelf())
SetGlobal("MurdersSolved","GLOBAL",1)
GiveGoldForce(500)
ReputationInc(1)~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.1
  SAY #37780 /* ~It is good the tanner is dead... though I would have liked to speak to him first. No matter. I trust this reward will compensate you... thank you again, citizens.~ */
  IF ~~ THEN DO ~AddexperienceParty(45000)
ActionOverride("Faraji",DestroySelf())
SetGlobal("MurdersSolved","GLOBAL",1)
GiveGoldForce(500)
ReputationInc(1)~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 1.6 0.5
  SAY #46117 /* ~If you ask me, those damnable wizards have far too much leeway to come and go as they please.  The Council gave an inch and they took the proverbial mile.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #46118 /* ~And that also means, regrettably, that we can do nothing if we oppose their actions. And still the Council deludes itself into thinking the Cowled Wizards obey them.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #46119 /* ~Bah! You know better, I am sure. Allowing those wizards to take a man indefinitely or worse for casting a magic missile is hardly justice in my eyes!~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #46120 /* ~But I can't help you or your friend.  Nobody knows where the wizards keep their prison, either.  All I can say is speak to the Magistrate, Bylanna Lanulin.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #46121 /* ~She is in this room, but I doubt she can help much, either, despite what she might suggest. I... am sorry.  I hope this Imoen is well and the wizards take pity.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from: 1.7 0.6
  SAY #46122 /* ~There is little we can do.  The Shadow Thieves are entrenched and this new guild has more power than expected.  Both, however, are adept at avoiding authority.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #46123 /* ~The best we can hope is to prevent the city going up in flames in the meantime... and that whichever of them remains will be weak enough to push out.~ */
  IF ~~ THEN GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #46124 /* ~If you are thinking of dealing with either, don't. A number of bodies have turned up... recruits by either side. I am sure you don't want to end up like that.~ */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #46125 /* ~So take heed and stay off the streets at night.  I am sure this will all be over soon enough.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 23 // from: 1.5 1.4 0.4 0.3
  SAY #49932 /* ~Let's see what you have, there.  Yes... despite the, ah, condition of the head, it is obviously the criminal we've been seeking.~ */
  IF ~~ THEN DO ~TakePartyItem("misc9h")~ GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #49933 /* ~You have no idea what a despicable creature this Neb was.  Or perhaps you do.  Regardless, we're thankful for your help.  I hope this reward is sufficient.~ */
  IF ~~ THEN DO ~GiveGoldForce(2500)
ReputationInc(1)~ GOTO 25
END

IF ~~ THEN BEGIN 25 // from: 24.0
  SAY #49939 /* ~I understand the Flaming Fist was looking for him as well.  I'll send them a note explaining your deed, so they can stop looking now.~ */
  IF ~~ THEN DO ~DestroyItem("misc9h")~ GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.0
  SAY #49940 /* ~Thank you again, citizen.  You've done well.~ */
  IF ~~ THEN EXIT
END
